Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1219326 - [abrt] blender: ghash_keyhash(): blender killed by SIGSEGV
Summary: [abrt] blender: ghash_keyhash(): blender killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: blender
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jochen Schmitt
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8766ecf9d560239c034930ce28d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-07 03:37 UTC by Benjamin Ariel Nava Martinez
Modified: 2015-12-02 17:56 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 11:47:49 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2015-05-07 03:37 UTC, Benjamin Ariel Nava Martinez
no flags Details
File: cgroup (deleted)
2015-05-07 03:37 UTC, Benjamin Ariel Nava Martinez
no flags Details
File: core_backtrace (deleted)
2015-05-07 03:37 UTC, Benjamin Ariel Nava Martinez
no flags Details
File: dso_list (deleted)
2015-05-07 03:37 UTC, Benjamin Ariel Nava Martinez
no flags Details
File: environ (deleted)
2015-05-07 03:37 UTC, Benjamin Ariel Nava Martinez
no flags Details
File: limits (deleted)
2015-05-07 03:37 UTC, Benjamin Ariel Nava Martinez
no flags Details
File: maps (deleted)
2015-05-07 03:37 UTC, Benjamin Ariel Nava Martinez
no flags Details
File: open_fds (deleted)
2015-05-07 03:37 UTC, Benjamin Ariel Nava Martinez
no flags Details
File: proc_pid_status (deleted)
2015-05-07 03:37 UTC, Benjamin Ariel Nava Martinez
no flags Details

Description Benjamin Ariel Nava Martinez 2015-05-07 03:37:31 UTC
Description of problem:
I was changing the scene's rendering properties.

Version-Release number of selected component:
blender-2.74-1.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        blender
crash_function: ghash_keyhash
executable:     /usr/bin/blender
kernel:         3.19.5-200.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: [System Logs]:\n-- Logs begin at lun 2015-04-13 23:10:00 CDT, end at mié 2015-05-06 22:01:01 CDT. --

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ghash_keyhash at /usr/src/debug/blender-2.74/source/blender/blenlib/intern/BLI_ghash.c:98
 #1 ghash_lookup_entry at /usr/src/debug/blender-2.74/source/blender/blenlib/intern/BLI_ghash.c:171
 #2 BLI_ghash_lookup at /usr/src/debug/blender-2.74/source/blender/blenlib/intern/BLI_ghash.c:382
 #3 id_release_weakref at /usr/src/debug/blender-2.74/source/blender/python/intern/bpy_rna.c:279
 #4 BPY_id_release at /usr/src/debug/blender-2.74/source/blender/python/intern/bpy_rna.c:297
 #5 BKE_libblock_free_ex at /usr/src/debug/blender-2.74/source/blender/blenkernel/intern/library.c:925
 #6 Freestyle::BlenderStrokeRenderer::~BlenderStrokeRenderer at /usr/src/debug/blender-2.74/source/blender/freestyle/intern/blender_interface/BlenderStrokeRenderer.cpp:182
 #8 Freestyle::Controller::RenderStrokes at /usr/src/debug/blender-2.74/source/blender/freestyle/intern/application/Controller.cpp:914
 #9 FRS_do_stroke_rendering at /usr/src/debug/blender-2.74/source/blender/freestyle/intern/blender_interface/FRS_freestyle.cpp:626
 #10 add_freestyle at /usr/src/debug/blender-2.74/source/blender/render/intern/source/pipeline.c:1995

Comment 1 Benjamin Ariel Nava Martinez 2015-05-07 03:37:34 UTC
Created attachment 1022900 [details]
File: backtrace

Comment 2 Benjamin Ariel Nava Martinez 2015-05-07 03:37:35 UTC
Created attachment 1022901 [details]
File: cgroup

Comment 3 Benjamin Ariel Nava Martinez 2015-05-07 03:37:36 UTC
Created attachment 1022902 [details]
File: core_backtrace

Comment 4 Benjamin Ariel Nava Martinez 2015-05-07 03:37:38 UTC
Created attachment 1022903 [details]
File: dso_list

Comment 5 Benjamin Ariel Nava Martinez 2015-05-07 03:37:38 UTC
Created attachment 1022904 [details]
File: environ

Comment 6 Benjamin Ariel Nava Martinez 2015-05-07 03:37:39 UTC
Created attachment 1022905 [details]
File: limits

Comment 7 Benjamin Ariel Nava Martinez 2015-05-07 03:37:43 UTC
Created attachment 1022906 [details]
File: maps

Comment 8 Benjamin Ariel Nava Martinez 2015-05-07 03:37:44 UTC
Created attachment 1022907 [details]
File: open_fds

Comment 9 Benjamin Ariel Nava Martinez 2015-05-07 03:37:45 UTC
Created attachment 1022908 [details]
File: proc_pid_status

Comment 10 Fedora End Of Life 2015-11-04 12:07:30 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Fedora End Of Life 2015-12-02 11:47:57 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.